Bug 60315 - RTL: Slide pane context menu opens going left rather than going right
Summary: RTL: Slide pane context menu opens going left rather than going right
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4.6 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: notBibisectable, regression
Depends on:
Blocks: RTL-CTL Slide-Page-Pane
  Show dependency treegraph
 
Reported: 2013-02-05 09:27 UTC by Faisal Menawer
Modified: 2017-11-06 15:10 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Test-Screenshot (94.45 KB, image/png)
2013-02-05 09:27 UTC, Faisal Menawer
Details
Another screenshot with EN-RTL UI for Michael ;) (25.21 KB, image/png)
2013-02-05 12:30 UTC, Ahmad Harthi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Faisal Menawer 2013-02-05 09:27:35 UTC
Created attachment 74229 [details]
Test-Screenshot

if you open impress the mouse Right-click on 
slide pane go outside of the screen.

Steps to reproduce:
1. Open a new Empty Presentation with RTL UI on maximize Window .
2. right-click on Slide pane.

Current behavior:
the context menu appear on the right of the mouse pointer and if the window was maximize
you can't see the menu .

Expected behavior:
the context menu appear on the Left of the mouse pointer.
Comment 1 Michael Meeks 2013-02-05 11:56:41 UTC
Ahmad - can you confirm this if you can repeat it ? :-) thanks !
Comment 2 Ahmad Harthi 2013-02-05 12:30:52 UTC
Created attachment 74242 [details]
Another screenshot with EN-RTL UI for Michael ;)

(In reply to comment #1)
> Ahmad - can you confirm this if you can repeat it ? :-) thanks !

Michael, I confirm this bug. I've attached another screenshot, hope it will make it clear.
Comment 3 Ahmad Harthi 2013-02-05 12:51:23 UTC
To reproduce:
- use SAL_RTL_ENABLED=1 to have the RTL UI
- move the window to the right edge of the screen
- right click to get the dropdown list

by the way this affects not only Impress, all the suit members.
Comment 4 Michael Meeks 2013-02-05 14:03:50 UTC
Hah ;-) to confirm I just mean move the state from 'UNCONFIRMED' to 'NEW' :-) which I just did for you.

Thanks !
Comment 5 QA Administrators 2015-02-19 15:41:09 UTC Comment hidden (obsolete)
Comment 6 Yousuf Philips (jay) (retired) 2015-03-06 15:31:28 UTC
I can confirm the issue still stands with 4.4.

Version: 4.4.2.0.0+
Build ID: 4bc49565331c931f0efb3590db76267a5c911053
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-4, Time: 2015-02-21_01:37:02
Comment 7 tommy27 2016-04-16 07:26:43 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-05-22 13:22:47 UTC Comment hidden (obsolete)
Comment 9 Yousuf Philips (jay) (retired) 2017-10-15 14:27:59 UTC
Its a regression introduced in the 3.4 cycle as it works correctly in 3.3 and is still reproducible in master.

Version: 6.0.0.0.alpha0+
Build ID: 8eacd3be08bf6e1a97900624611822de9b00a379
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

Maxim, Thorsten: any thoughts on this?
Comment 10 Omer Zak 2017-11-03 01:54:09 UTC
Still happens in:

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 11 Yousuf Philips (jay) (retired) 2017-11-03 14:13:18 UTC
Caolan: assume this should be easy to fix, could you do it or provide a code pointer so a newbie dev can work on it. thanks.
Comment 12 Commit Notification 2017-11-03 23:44:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d8f0e4144d51ff5709d005d289d71aa32f323913

Resolves: rtl: tdf#60315 slide pane context menu misplaced

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Caolán McNamara 2017-11-04 09:47:50 UTC
backport to 5-4 in gerrit
Comment 14 Yousuf Philips (jay) (retired) 2017-11-05 08:35:45 UTC
(In reply to Caolán McNamara from comment #13)
> backport to 5-4 in gerrit

Thanks.
Comment 15 Commit Notification 2017-11-06 15:10:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b9c9ad69d58d04ae9f29deab894f5a1846cbd63&h=libreoffice-5-4

Resolves: rtl: tdf#60315 slide pane context menu misplaced

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.